Login   Register  
PHP Classes
elePHPant
Icontem

Requires GMP library

Recommend this page to a friend!
Stumble It! Stumble It! Bookmark in del.icio.us Bookmark in del.icio.us

      IPv6 Net  >  All threads  >  Requires GMP library  >  (Un) Subscribe thread alerts  
Subject:Requires GMP library
Summary:Not all hosts provide GMP
Messages:2
Author:Michael Richey
Date:2013-05-17 06:17:39
Update:2014-06-30 10:00:45
 

  1. Requires GMP library   Reply   Report abuse  
Picture of Michael Richey
Michael Richey
2013-05-17 06:17:39
I deployed a package that includes this class, only to have an almost immediate response from several users that the package wouldn't function on their systems - and gave no errors, it just wouldn't run.

After much trial-and-error, I discovered that the problem was that the PHP installations having trouble have no GMP!

This class relies heavily on the GMP functions, and won't function without them. So, if you're scratching your head - wondering why it works on one system and not another - check your PHP installations for GMP!

  2. Re: Requires GMP library   Reply   Report abuse  
Picture of Asif M
Asif M
2014-06-30 10:00:45 - In reply to message 1 from Michael Richey
Thanks Michael,

Really saved a day. Those who are testing locally having XAMPP setup, simply un-comment line extension=php_gmp.dll in php.ini and restart APACHE.